Download it now!
Bug 78284 - FILESAVE: [DOCX] Content-types of ".png" images in Smart Art
Summary: FILESAVE: [DOCX] Content-types of ".png" images in Smart Art
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.3.0.0.alpha0+ Master
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: BSA target:4.3.0
Keywords:
Depends on:
Blocks:
 
Reported: 2014-05-05 07:47 UTC by Vinaya Mandke
Modified: 2014-05-09 21:15 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
Smart Art with 'png' images (97.01 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2014-05-05 07:47 UTC, Vinaya Mandke
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Vinaya Mandke 2014-05-05 07:47:24 UTC
Created attachment 98454 [details]
Smart Art with 'png' images

Problem description: 
LO does not correctly register the content type of png images in [Content_Types].xml.


Steps to reproduce:
1. Open issue file in LO
2. Roundtrip to DOCX
3. Open round tripped file in MS Word

Current behavior:
MS Word shows the RT file as corrupt

Expected behavior:
File should not be corrupted

              
Operating System: All
Version: 4.3.0.0.alpha0+ Master
Comment 1 Jorendc 2014-05-05 16:43:18 UTC
Repro, tested using Windows 8.1 with LibreOffice Version: 4.3.0.0.alpha1+
Build ID: 82a623fb08afc72decb78f061b751a43ae503678
TinderBox: Win-x86@39, Branch:master, Time: 2014-05-05_06:37:16

Kind regards,
Joren
Comment 2 Commit Notification 2014-05-08 07:28:20 UTC
Vinaya Mandke committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=d8b5bd541b946de2b3e70e8227baf6eb602ba8e2

fdo#78284 Content-type of ".png" images in Smart Art



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 3 Jorendc 2014-05-09 21:15:22 UTC
Looks fixed to me. I can not reproduce this anymore, tested using Windows 8.1 with LibreOffice Version: 4.3.0.0.alpha1+
Build ID: e9b2787c2ece4c8260fbac6359257e1829c917d4
TinderBox: Win-x86@39, Branch:master, Time: 2014-05-09_06:36:37

Kind regards,
Joren